Skip to main content
GET
/
v1
/
conversion
/
conversion_dates
List Conversion Dates
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/conversion/conversion_dates \
  --header 'x-auth-token: <api-key>'
{
  "data": [
    {
      "date": "2024-08-26",
      "valid": true
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

currency_from
string
required

The currency being sold in the conversion. This is the source currency that will be exchanged. Currency codes follow the ISO 4217 standard.

Example:

"USD"

currency_to
string
required

The currency being purchased in the conversion. This is the target currency that will be received after the exchange. Currency codes follow the ISO 4217 standard.

Example:

"SGD"

Response

OK - Successfully listed available conversion date.

data
object[]